Page 1 of 1

A bug probably?

PostPosted: Sat Nov 18, 2017 9:33 pm
by pixdigit
I followed the installation instructions for JSampler and therefore began installing libgig-4.0.0 without effort.
But when it came to LinuxSampler itself I got the following message while compiling:
Code: Select all
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../.. -I/usr/local/include/libgig -Wreturn-type -ffast-math -g -O2 -pthread -MT lscpparser.lo -MD -MP -MF .deps/lscpparser.Tpo -c lscpparser.cpp  -fPIC -DPIC -o .libs/lscpparser.o
lscp.y: In function 'bool _isRuleTerminalSymbol(int)':
lscp.y:1380:18: error: 'yyprhs' was not declared in this scope
     for (int i = yyprhs[rule]; yyrhs[i] != -1; ++i)
                  ^~~~~~
lscp.y:1380:32: error: 'yyrhs' was not declared in this scope
     for (int i = yyprhs[rule]; yyrhs[i] != -1; ++i)
                                ^~~~~

The building subsequently failed.
Due to the nature of the error I believe this to be a bug.